Bug 676212 (CVE-2010-4042) - CVE-2010-4042 WebKit: Stale elements in an element map causes webkit to crash
Summary: CVE-2010-4042 WebKit: Stale elements in an element map causes webkit to crash
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-4042
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 676213
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2011-02-09 04:32 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 08:21:14 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2011-02-09 04:32:42 UTC
Google Chrome before 7.0.517.41 does not properly handle element 
maps, which allows remote attackers to cause a denial of service 
or possibly have unspecified other impact via vectors related 
to "stale elements." 

http://code.google.com/p/chromium/issues/detail?id=56451
http://googlechromereleases.blogspot.com/2010/10/stable-channel-update.html
http://www.securityfocus.com/bid/44241
http://secunia.com/advisories/41888
http://www.vupen.com/english/advisories/2010/2731

This is fixed in webkitgtk 1.2.7

Comment 1 Huzaifa S. Sidhpurwala 2011-02-09 04:42:05 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 676213]


Note You need to log in before you can comment on or make changes to this bug.